uk.gov.hmrc.ct.accounts

# CompanyAddress

###
Related Doc: package accounts

#### case class CompanyAddress(addressLine1: Option[String] = None, addressLine2: Option[String] = None, addressLine3: Option[String] = None, addressLine4: Option[String] = None, city: Option[String] = None, county: Option[String] = None, postCode: Option[String] = None, country: Option[String] = None) extends CtBoxIdentifier with CtValue[CompanyAddress] with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtValue[CompanyAddress], CtBoxIdentifier, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompanyAddress
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtValue
8. CtBoxIdentifier
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CompanyAddress(addressLine1: Option[String] = None, addressLine2: Option[String] = None, addressLine3: Option[String] = None, addressLine4: Option[String] = None, city: Option[String] = None, county: Option[String] = None, postCode: Option[String] = None, country: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val addressLine1: Option[String]

5. #### val addressLine2: Option[String]

6. #### val addressLine3: Option[String]

7. #### val addressLine4: Option[String]

8. #### def asBoxString: Option[String]

   Definition Classes
     CtValue

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### val city: Option[String]

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### val country: Option[String]

13. #### val county: Option[String]

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def id: String

    Definition Classes
      CtBoxIdentifier

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### val name: String

    Definition Classes
      CtBoxIdentifier

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val postCode: Option[String]

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def value: CompanyAddress

    Definition Classes
      CompanyAddress → CtValue

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtValue[CompanyAddress]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped